/* style dla szablonu "Frontpage" */

@keyframes scaleUp {
    from {background-size: 100%;}
    to {background-size: 110%;}
}

.sekcja-title {
    background-repeat: no-repeat;
    background-position: center;
    height: 85vh;
    min-height: 500px;
    max-height: 650px;
}
.title-overlay {
    height: inherit;
    min-height: inherit;
    max-height: inherit;
    display: flex;
    align-items: center;
    background-color: #a7a7a76b;
}
.title-content {
    max-width: 52%;
    padding-bottom: 90px;
}
.title-content > * {
    color: #fff;
}
.title-content h1 {
    margin-bottom: 20px;
    letter-spacing: 1px;
    line-height: 1.3;
    font-size: 36px;
}
.title-content p {
    letter-spacing: 0.2px;
    margin-bottom: 5px;
}
.title-content-btns {
    margin-top: 50px;
}
.title-content-btns a {
    display: inline-block;
    width: fit-content;
    padding: 10px 20px;
    border-radius: 12px;
    color: #fff;
    font-size: 15px;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 300;
    box-shadow: 0px 1px 5px 0px rgb(95 95 95);
    transition: all 0.2s ease-in-out;
}
.title-content-btns a:nth-of-type(1) {
    background-color: #51D65A;
    border-top-right-radius: 0;
    margin-right: 60px;
}
.title-content-btns a:nth-of-type(2) {
    background-color: #3DBFDF;
    border-bottom-left-radius: 0;
}

.sekcja-oferta-top {
    margin-top: -125px;
    padding-bottom: 100px;
}
.sekcja-oferta-top > .container > .row {
    justify-content: center;
}
.oferta-top-single {
    width: 300px;
    height: 240px;
    padding: 20px;
    background-color: #3DBFDF;
    border-radius: 20px;
    box-shadow: 0px 1px 5px 0px rgb(144 144 144);
}
.oferta-top-single:nth-of-type(1) {
    background-color: #51D65A;
    border-top-right-radius: 0;
}
.oferta-top-single:nth-of-type(2) {
    margin: 0 40px;
}
.oferta-top-single:nth-of-type(3) {
    border-bottom-left-radius: 0;
}
.oferta-top-single-link {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
}
.oferta-top-single-link img {
    transition: all 0.2s ease-in-out;
}
.oferta-top-naglowek {
    font-size: 17px !important;
    margin: 12px 0;
}
.oferta-top-single p {
    color: #fff;
    text-align: center;
    font-size: 14px;
}

.sekcja-onas {
    padding: 100px 0;
}
.sekcja-onas-tekst {
    width: 90%;
    margin: auto;
}
.sekcja-onas-tekst h2 {
    color: #545454;
    text-transform: uppercase;
    margin-bottom: 20px;
    padding-left: 25px;
}
.sekcja-onas-tekst a {
    background-color: #51D65A;
    color: #fff;
    text-transform: uppercase;
    padding: 8px 20px;
    border-radius: 12px;
    border-top-right-radius: 0;
    margin-left: 25px;
    margin-top: 10px;
    display: block;
    width: fit-content;
    letter-spacing: 0.5px;
    font-weight: 300;
    transition: all 0.2s ease-in-out;
}
.sekcja-onas-akapity p:first-of-type {
    padding-top: 15px;
    border-left: 3px solid #EBF13B;
    border-top-left-radius: 28px;
}
.sekcja-onas-akapity p {
    padding-bottom: 15px;
    color: #858585;
    font-size: 15px;
    padding-left: 25px;
    line-height: 1.6;
}
.sekcja-onas-grafika {
    display: flex;
    align-items: center;
    justify-content: center;

}
.sekcja-onas-grafika-bg {
    background-color: #3DBFDF;
    border-radius: 30px;
    width: 80%;
    margin: auto;
}
.sekcja-onas-grafika-bg img {
    border-radius: 30px;
    border-top-right-radius: 0;
    transform: translate(50px, -50px);
}

.sekcja-frontpage-cta1 {
    background-image: url('/wp-content/themes/dns-theme/images/frontpage-cta1-bg.webp');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    height: 350px;
    margin-top: 50px;
    box-shadow: 0px 1px 5px 0px rgb(144 144 144);
}
.cta1-overlay {
    height: inherit;
    display: flex;
    align-items: center;
    background-color: #959595c9;
}
.frontpage-cta1-tekst {
    text-align: center;
    max-width: 855px;
    margin: auto;
    padding-bottom: 60px;
}
.frontpage-cta1-tekst > * {
    color: #fff;
    letter-spacing: 0.5px;
}
.frontpage-cta1-tekst > * > span {
    font-weight: 500;
}
.frontpage-cta1-tekst p:nth-of-type(1) {
    font-size: 35px;
    margin-bottom: 5px;
}
.frontpage-cta1-tekst p:nth-of-type(1) span {
    font-style: italic;
}
.frontpage-cta1-tekst p:nth-of-type(2) {
    font-size: 17px;
}

.sekcja-zalety {
    margin-top: -75px;
    padding-bottom: 100px;
}
.sekcja-zalety > .container {
    max-width: 1250px;
}
.zalety-box {
    padding: 55px 140px;
    background-color: #fff;
    border-radius: 50px;
    box-shadow: 0px 1px 5px 0px rgb(144 144 144);
    justify-content: space-between;
}
.zalety-poj {
    display: flex;
    align-items: center;
    max-width: 415px;
}
.zalety-poj:nth-of-type(1),
.zalety-poj:nth-of-type(2) {
    margin-bottom: 55px;
}
.zalety-poj img {
    max-width: 120px;
    padding: 15px;
    border: 2px solid #EBF13B;
    border-radius: 30px;
    border-bottom-left-radius: 0;
}
.zalety-poj p {
    margin-left: 30px;
    text-align: center;
    width: -webkit-fill-available;
    font-weight: 500;
    letter-spacing: 0.5px;
    font-size: 15px;
}

.quote-cta img {
    position: relative;
    top: 45px;
    left: 150px;
}
.sekcja-frontpage-cta2 {
    background-image: url('/wp-content/themes/dns-theme/images/frontpage-cta2-bg.webp');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    height: 430px;
    margin-bottom: 50px;
    box-shadow: 0px 1px 5px 0px rgb(144 144 144);
}
.cta2-overlay {
    height: inherit;
    display: flex;
    align-items: center;
    background-color: #c3c3c3c9;
}
.frontpage-cta2-tekst {
    text-align: center;
    margin: auto;
}
.frontpage-cta2-tekst > * {
    color: #fff;
    letter-spacing: 0.5px;
}
.frontpage-cta2-tekst p:nth-of-type(1) {
    font-size: 45px;
    font-weight: 600;
    margin-bottom: 10px;
}
.frontpage-cta2-tekst p {
    font-size: 28px;
    margin-bottom: 5px;
}
.frontpage-cta2-tekst a {
    display: block;
    width: fit-content;
    margin: 40px auto 0;
    color: #fff;
    font-size: 30px;
    letter-spacing: 1px;
    background-color: #51D65A;
    padding: 20px 40px;
    border-radius: 20px;
    border-top-right-radius: 0;
    box-shadow: 0px 2px 5px 0px rgb(95 95 95);
    transition: all 0.2s ease-in-out;
}
.frontpage-cta2-tekst a > i {
    margin-right: 5px;
}

/*Tutaj zaczyna się CSS dla komputerów stacjonarnych*/
@media only screen and (min-width: 1450px) {
    .sekcja-title {
        background-size: 100%;
        animation: scaleUp 5s forwards;
    }
}


/*Tutaj zaczyna się CSS dla laptopów*/
@media only screen and (min-width: 1199px) and (max-width: 1399px) {
    .title-content {
        max-width: 55%;
    }
    .frontpage-cta2-tekst p:nth-of-type(1) {
        font-size: 40px;
    }
    .frontpage-cta2-tekst p {
        font-size: 24px;
    }
    .frontpage-cta2-tekst a {
        font-size: 25px;
    }
}
@media only screen and (min-width: 993px) and (max-width: 1199px) {
    .title-content {
        max-width: 65%;
    }
    .oferta-top-single {
        width: 290px;
    }
    .sekcja-onas-grafika {
        margin-top: 130px;
    }
    .sekcja-onas-grafika-bg {
        width: 60%;
    }
    .zalety-box {
        padding: 55px 85px;
    }
    .wpis-title h3 {
        font-size: 20px;
    }
    .quote-cta img {
        left: 50px;
    }
    .frontpage-cta2-tekst p:nth-of-type(1) {
        font-size: 40px;
    }
    .frontpage-cta2-tekst p {
        font-size: 24px;
    }
    .frontpage-cta2-tekst a {
        font-size: 25px;
    }
}
@media only screen and (min-width: 993px) {
    /* HOVER */
    .title-content-btns a:hover {
        scale: 1.1;
    }
    .title-content-btns a:nth-of-type(1):hover {
        background-color: #2FC639;
    }
    .title-content-btns a:nth-of-type(2):hover {
        background-color: #1FA1C1;
    }
    .sekcja-onas-tekst a:hover {
        scale: 1.1;
        background-color: #2FC639;
    }
    .frontpage-cta2-tekst a:hover {
        scale: 1.1;
        background-color: #2FC639;
    }
    .sekcja-title {
        background-size: cover;
    }
    .oferta-top-single-link:hover img {
        scale: 1.2;
    }
}


/*Tutaj zaczyna się CSS dla tabletów*/
@media only screen and (max-width: 992px) {
    .sekcja-title {
        background-size: cover;
    }
    .title-content {
        max-width: 100%;
    }
    .quote-cta img {
        left: 20px;
    }
}
@media only screen and (min-width: 767px) and (max-width: 992px) {
    .title-content {
        padding-bottom: 150px;
    }    
    .sekcja-oferta-top > .container > .row {
        justify-content: space-evenly;
    }
    .oferta-top-single:nth-of-type(2) {
        margin: 0;
    }
    .oferta-top-single:nth-of-type(3) {
        margin-top: 30px;
    }
    .sekcja-onas-grafika {
        margin-top: 150px;
    }
    .sekcja-onas-grafika-bg {
        width: 60%;
    }
    .zalety-box {
        padding: 50px;
    }
    .frontpage-cta2-tekst p:nth-of-type(1) {
        font-size: 35px;
        max-width: 80%;
        margin: 0 auto 15px;
    }
    .frontpage-cta2-tekst p {
        font-size: 24px;
        max-width: 85%;
        margin: 0 auto 5px;
    }
    .frontpage-cta2-tekst a {
        font-size: 25px;
    }
}


/*Tutaj zaczyna się CSS dla komórek*/
@media only screen and (min-width: 500px) and (max-width: 767px) {
    .zalety-poj {
        max-width: 49%;
    }
}
@media only screen and (max-width: 767px) {
    .sekcja-oferta-top {
        margin-top: -75px;
        padding-bottom: 60px;
    }
    .oferta-top-single {
        width: 250px;
        height: 200px;
    }
    .oferta-top-single:nth-of-type(2) {
        margin-left: 20px;
        margin-right: 0;
    }
    .title-content-btns {
        margin-top: 40px;
    }
    .title-content-btns a:nth-of-type(1) {
        margin-bottom: 15px;
    }
    .oferta-top-single {
        margin-bottom: 30px !important;
    }
    .oferta-top-single:nth-of-type(3) {
        margin-bottom: 0 !important;
    }
    .sekcja-onas {
        padding: 60px 0;
    }
    .sekcja-onas-tekst {
        width: 100%;
        margin-bottom: 70px;
    }
    .sekcja-onas-akapity p {
        line-height: 1.5;
        padding-right: 25px;
    }
    .sekcja-onas-grafika-bg img {
        transform: translate(20px, -20px);
    }
    .sekcja-frontpage-cta1 {
        height: auto;
        margin-top: 60px;
    }
    .frontpage-cta1-tekst {
        padding-bottom: 50px;
        padding-top: 30px;
    }
    .frontpage-cta1-tekst p:nth-of-type(1) {
        font-size: 24px;
    }
    .frontpage-cta1-tekst p:nth-of-type(2) {
        font-size: 15px;
    }
    .sekcja-zalety {
        margin-top: -25px;
        padding-bottom: 60px;
    }
    .sekcja-zalety > .container {
        display: flex;
        justify-content: center;
    }
    .zalety-box {
        padding: 40px 10px;
        max-width: 95%;
    }
    .zalety-poj {
        flex-direction: column;
        justify-content: center;
        margin-bottom: 30px !important;
    }
    .zalety-poj:last-of-type {
        margin-bottom: 0 !important;
    }
    .zalety-poj img {
        max-width: 100px;
    }    
    .zalety-poj p {
        width: 80%;
        margin-left: 0px;
        margin-top: 10px;
    }
    .quote-cta img {
        left: 0;
    }
    .sekcja-frontpage-cta2 {
        height: auto;
        margin-bottom: 60px;
    }
    .cta2-overlay {
        padding: 30px 0;
    }
    .frontpage-cta2-tekst p:nth-of-type(1) {
        font-size: 30px;
    }
    .frontpage-cta2-tekst p {
        font-size: 17px;
    }
    .frontpage-cta2-tekst a {
        margin: 30px auto 0;
        font-size: 18px;
        padding: 10px 25px;
    }
}
@media only screen and (max-width: 500px) {
    .oferta-top-single:nth-of-type(2) {
        margin-left: 0;
    }
}
@media only screen and (max-width: 399px) {
    .title-content h1 {
        font-size: 30px;
    }   
}
@media only screen and (max-width: 350px) {
    .title-content h1 {
        font-size: 22px;
    }
    .title-content p {
        line-height: 1.3;
    }
    .title-content-btns {
        margin-top: 30px;
    }
    .oferta-top-naglowek {
        font-size: 16px !important;
    }
    .sekcja-onas-akapity p {
        padding-right: 0px;
    }
}